petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexCheckFaces

Check that the faces of each cell give a vertex order this is consistent with what we expect from the cell type

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckFaces(DM dm, PetscBool isSimplex, PetscInt cellHeight)

### Input Parameters

| dm | - The DMPlex object
| isSimplex | - Are the cells simplices or tensor products
| cellHeight | - Normally 0

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMCheckSymmetry(), DMCheckSkeleton()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages